package ru.crystals.setapi.plugins;

import ru.crystals.pos.api.plugin.goods.NewLineItem;

/**
 * Модель. хранящая состояние техпроцесса добавления позиции в чек продажи.
 */
public class SaleProcessModel {

    /**
     * Само состояние техпроцесса
     *
     */
    private SaleProcessState state = SaleProcessState.ENTER_PHONE_NUMBER;

    /**
     * Номер телефона, что был введен в ходе процесса
     */
    private String phoneNumber;

    /**
     * Текст последнего сообщения об ошибке, что надо показать пользователю
     */
    private String errorMessage;

    /**
     * Уже сформированная позиция, что собираются добавить в чек
     */
    private NewLineItem newLineItem;

    @Override
    public String toString() {
        return "SaleProcessModel{" +
                "state=" + state +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", errorMessage='" + errorMessage + '\'' +
                '}';
    }

    public SaleProcessState getState() {
        return state;
    }

    public void setState(SaleProcessState state) {
        this.state = state;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public NewLineItem getNewLineItem() {
        return newLineItem;
    }

    public void setNewLineItem(NewLineItem newLineItem) {
        this.newLineItem = newLineItem;
    }
}
