package ru.crystals.pos.api.ext.loyal.dto;

import java.util.ArrayList;
import java.util.List;

/**
 * Печатный документ (слип), который плагин может добавить к чеку.
 * Слип состоит из набора параграфов ({@link SlipParagraph}, которые могут быть текстовыми или баркодными.
 */
public class Slip {
    private List<SlipParagraph> paragraphs;

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link Slip}.
     */
    public Slip() {

    }

    /**
     * Возврашает список параграфов, из которых состоит данный слип.
     * @return список параграфов, из которых состоит данный слип или пустой список, если слип пустой.
     */
    public List<SlipParagraph> getParagraphs() {
        if(paragraphs == null) {
            paragraphs = new ArrayList<>();
        }
        return paragraphs;
    }
}
