package ru.crystals.pos.api.ext.loyal.dto;

/**
 * Сущность, представляющая "абзац" на чековом слипе.<br>
 * NOTE: "абзац" - это минимальная атомарная единица, что может быть распечатана на слипе. Представляет из себя либо абзац текста, либо ШК (штрих-код).
 * Каждый "абзац" печатается на чековой ленте с новой строки.
 *
 * @author aperevozchikov
 */
public class SlipParagraph {

    /**
     * само сообщение "абзаца", что надо вывести на чековой ленте
     */
    private String payload;

    /**
     * Способ представления содержимого этого абзаца
     */
    private SlipParagraphType type = SlipParagraphType.TEXT;

    public SlipParagraph() {

    }

    public SlipParagraph(SlipParagraphType type, String payload) {
        this.type = type;
        this.payload = payload;
    }

    @Override
    public String toString() {
        return String.format("slip-paragraph [type: %s; payload: \"%s\"]", getType(), getPayload());
    }

    public String getPayload() {
        return payload;
    }

    public void setPayload(String payload) {
        this.payload = payload;
    }

    public SlipParagraphType getType() {
        return type;
    }

    public void setType(SlipParagraphType type) {
        this.type = type;
    }
}
