package ru.crystals.pos.spi;

import ru.crystals.pos.api.plugin.user.User;

/**
 * Интерфейс для получения информации о кассе.
 * 
 **/
public interface POSInfo extends Injectable {

    /**
     * Номер магазина в котором работает касса.
     * 
     * @return номер магазина в диапазоне [1..99999]
     */
    int getShopNumber();

    /**
     * Номер кассы в магазине.
     * 
     * @return номер кассы в диапазоне [1..999]
     */
    int getPOSNumber();

    /**
     * Получает номер текущей смены.
     * @return номер текущей смены.
     */
    int getShiftNumber();

    /**
     * Получить наименование магазина.
     * 
     * @return наименование магазина
     */
    String getShopName();

    /**
     * Получить информацию о текущем пользователе
     * @return данные о пользователе
     */
    User getUser();
}
