package ru.crystals.pos.spi.plugin.payment;

import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Интерфейс запроса на выполнение оплаты.
 */
public interface PaymentRequest {

    /**
     * Текущий чек, который необходимо оплатить.
     * 
     * @return чек - {@link Receipt}
     */
    Receipt getReceipt();

    /**
     * Интерфейс для оповещения кассы о результатах выполнения оплаты.
     * 
     * @return {@link PaymentCallback}
     */
    PaymentCallback getPaymentCallback();

}
