package ru.crystals.pos.spi.ui;

/**
 * Модель данных для формы диалога с двумя вариантами выбора (кнопками).
 */
public class DialogFormParameters {

    private String message;

    private String button1Text;

    private String button2Text;

    /**
     * Конструктор.
     * 
     * @param message
     *            текстовое сообщение
     * @param button1Text
     *            текст первой кнопки
     * @param button2Text
     *            текст второй кнопки
     */
    public DialogFormParameters(String message, String button1Text, String button2Text) {
        this.message = message;
        this.button1Text = button1Text;
        this.button2Text = button2Text;
    }

    /**
     * Получить текст сообщения.
     * 
     * @return текст
     */
    public String getMessage() {
        return message;
    }

    /**
     * Установить текст сообщения.
     * 
     * @param message
     *            текст
     */
    public void setMessage(String message) {
        this.message = message;
    }

    /**
     * Получить текст кнопки 1.
     * 
     * @return текст
     */
    public String getButton1Text() {
        return button1Text;
    }

    /**
     * Установить текст кнопки 1.
     * 
     * @param button1Text
     *            текст
     */
    public void setButton1Text(String button1Text) {
        this.button1Text = button1Text;
    }

    /**
     * Получить текст кнопки 2.
     * 
     * @return текст
     */
    public String getButton2Text() {
        return button2Text;
    }

    /**
     * Установить текст кнопки 2.
     * 
     * @param button2Text
     *            текст
     */
    public void setButton2Text(String button2Text) {
        this.button2Text = button2Text;
    }

}
